XreplyAIDevelopers
API ReferencePreferences & Styles

Get generation preferences

Requires scope: `preferences:read`.

GET
/preferences
AuthorizationBearer <token>

A personal API key created in the dashboard (Starter, Pro, and Team plans).

In: header

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/preferences"
{  "preferences": {    "tone": "conversational",    "include_emoji": false,    "structure": "short",    "timezone": "America/New_York",    "use_post_metrics_for_ai": true,    "theme": "system",    "ai_model": "claude-opus",    "available_ai_models": [      {        "id": "gemini-flash",        "label": "Gemini Flash",        "premium": false,        "typical_cost_micros": 0      },      {        "id": "deepseek-v4",        "label": "DeepSeek V4",        "premium": true,        "typical_cost_micros": 1000      },      {        "id": "gpt-5",        "label": "GPT-5",        "premium": true,        "typical_cost_micros": 7000      },      {        "id": "grok-4",        "label": "Grok 4.5",        "premium": true,        "typical_cost_micros": 4000      },      {        "id": "gemini-pro",        "label": "Gemini 3 Pro",        "premium": true,        "typical_cost_micros": 9000      },      {        "id": "claude-opus",        "label": "Claude Opus 5",        "premium": true,        "typical_cost_micros": 18000      },      {        "id": "claude-fable",        "label": "Claude Fable 5",        "premium": true,        "typical_cost_micros": 35000      }    ],    "email_notifications": {      "post_failure": true,      "weekly_briefing": true,      "product_tips": false,      "re_engagement": true    }  }}